<?php session_start();
date_default_timezone_set('America/Bogota');
//RESTRICCI�N DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL)
if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}
if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');
include ("fphp.php");
$enlace=cargar_conexion();


		//Consulta empleados a pagar

		$cedula=$_REQUEST["cedula"];
		$fechae=$_REQUEST["fechae"];

		$query_emp_pagar = "SELECT neto_pagar_liq AS monto, cedula, CONCAT (pe.nombres, ' ', pe.apellidos) as nombres, pe.cuenta, pe.mensaje, pe.nacionalidad FROM liquidaciones AS liq INNER JOIN personal AS pe ON liq.cedula = pe.codigo WHERE liq.id = '".$_SESSION['id_validar']."' AND liq.cedula ='$cedula' AND liq.fecha_retiro ='$fechae' AND estado_liquidacion IN ('aprobado','pagado') ";

	 	$resul_emp_pagar = mysqli_query($enlace,$query_emp_pagar);
		$cant_emp_pagar = mysqli_num_rows($resul_emp_pagar);



		$fecha_lote = date("jnY"); //Fecha a imprimir en archivo (Fecha sin ceros a la izquierda)
		$numero_lote_archivo = rand(1000000,9999999); //Número aleatorio
		$numero_serie = rand(100000,999999)+100000;

//Generación de archivo
    $f = "BancoMercantil/liquidacion-".$fecha_lote.".txt";
	
	/* /////////Desde aquí para banco Provincial
	
    $file = fopen($f,"w+");

		//REGISTRO: PRIMER LINEA //
    //fwrite($file,"1BAMRVECA    "); //Constante
    //fwrite($file,str_pad($fecha_lote, 8, "0", STR_PAD_LEFT));
   // fwrite($file,$numero_lote_archivo); //Número de lote aleatorio
   // fwrite($file,"PRODO0000000062J000000000148643"); //Constante
	//	fwrite($file,str_pad($cant_emp_pagar, 8, "0", STR_PAD_LEFT)); //Cantidad de empleados a Pagar
		//fwrite($file,str_pad($monto_total_pagar, 17, "0", STR_PAD_LEFT)); //Monto total a Pagar
		//fwrite($file,date('Ymd')); //Fecha a pagar
		//fwrite($file,"01050060515060033511"); //Constante
		//fwrite($file,str_pad($numero_serie, 15, "0", STR_PAD_LEFT)); //Número de serie
		//fwrite($file,str_pad('', 273, "0", STR_PAD_LEFT)); //Rellena 273 ceros
		//fwrite($file,"\r\n"); //Nueva Linea

		//REGISTRO: SEGUNDA LINEA //

		while ($row_emp_pag=mysqli_fetch_array($resul_emp_pagar)){
			$cedula = $row_emp_pag['cedula'];
			$monto = str_replace('.','',$row_emp_pag['monto']); //Monto total a pagar, se le quita el signo punto
			$concepto_monto = $row_emp_pag['concepto'];
			$cuenta_banco = $row_emp_pag['cuenta'];
			$nacionalidad = $row_emp_pag['nacionalidad'];
			$nombres = preg_replace("/\s+/", " ", trim($row_emp_pag['nombres']));
			$correo = $row_emp_pag['mensaje'];

			//fwrite($file,"2V"); //Constante

			//fwrite($file,"1000000000000               000000000000000"); //Constante
			fwrite($file,str_pad($cuenta_banco, 20, "0", STR_PAD_LEFT)); //Número de cuenta
			fwrite($file," ");//Constante
			fwrite($file,$nacionalidad);
			fwrite($file,str_pad($cedula, 10, "0", STR_PAD_LEFT)); //Número de cedula
			fwrite($file," ");//Constante
			fwrite($file,str_pad($monto, 15, "0", STR_PAD_LEFT)); //Monto a pagar
			fwrite($file," ");//Constante
			fwrite($file,str_pad($nombres, 35, " ", STR_PAD_RIGHT)); //Imprime nombres con espacios hasta 35 caracteres
			//fwrite($file,"                0000000062000"); //Constatne
			//fwrite($file,str_pad($nombres, 60, " ", STR_PAD_RIGHT)); //Imprime nombres con espacios hasta 60 caracteres
			//fwrite($file,str_pad(date('j'), 9, "0", STR_PAD_LEFT)); //Día sin cero a la izq
			//fwrite($file,rand(100000,999999)); //Aleatorio
			//fwrite($file,str_pad($correo, 50, " ", STR_PAD_RIGHT)); //Imprime correo con espacios hasta 50 caracteres
			//fwrite($file,"0000                              ");//Constante
			//fwrite($file,str_pad($concepto_monto, 80, " ", STR_PAD_RIGHT)); //Imprime constante con espacios hasta 80 caracteres
			//fwrite($file,"00000000000000000000000000000000000");//Constante
			fwrite($file,"\r\n"); //Nueva Linea
		}
    fclose($file);
	*/ /////////Hasta aquí para banco Provincial
	
	////inicia BNC
				$consultaEmpresa="select nombre,encabeza from empresa where id='".$_SESSION['id_validar']."' ";
				$consultaEmpresa=mysqli_query($enlace,$consultaEmpresa) or die ($consultaEmpresa.mysqli_error($enlace));
				$rowEmpresa = mysqli_fetch_array($consultaEmpresa);
				$nombreEmpresa = $rowEmpresa['nombre'];
				$rifEmpresa   = $rowEmpresa['encabeza'];
				$rifEmpresa = preg_replace('([^A-Za-z0-9])', '', $rifEmpresa);
				
				 $file = fopen($f,"w+");
		

		while ($row_emp_pag=mysqli_fetch_array($resul_emp_pagar)){
			
			
			$cedula = $row_emp_pag['cedula'];
			$monto = str_replace('.','',$row_emp_pag['monto']); //Monto total a pagar, se le quita el signo punto
			$concepto_monto = $row_emp_pag['concepto'];
			$cuenta_banco = $row_emp_pag['cuenta'];
			$nacionalidad = $row_emp_pag['nacionalidad'];
			$nombres = preg_replace("/\s+/", " ", trim($row_emp_pag['nombres']));
			$correo = $row_emp_pag['mensaje'];
			
			fwrite($file, "ND");
					fwrite($file, " ");
					fwrite($file, "01910085532185049069");
					fwrite($file, str_repeat("0",13-strlen($monto)));
					fwrite($file, $monto);
					fwrite($file, $rifEmpresa);
					fwrite($file, "\r\n"); //Nueva Linea

			fwrite($file, "NC");
			fwrite($file, " ");
			fwrite($file,str_pad($cuenta_banco, 20, "0", STR_PAD_LEFT)); //Número de cuenta
			fwrite($file, str_pad($monto, 13, "0", STR_PAD_LEFT));
			fwrite($file, $nacionalidad);
			fwrite($file, str_pad($cedula, 9, "0", STR_PAD_LEFT));
			fwrite($file,"\r\n"); //Nueva Linea
		}
    fclose($file);
	 /////////Hasta aquí para banco BNC

	

    echo "<style>
    .regristrado{
        color: green;
        margin-left: 7%;
        font-weight: bold;
    }
    </style>";
    echo "<p class='regristrado' >Archivo guardado correctamente<p>";
    echo "<script>
        window.location.href = 'generar_txt.php?fileSpecialBank=$f';
        </script>";

?>
